All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::SemiSortedArray< T > Struct Template Reference

## Public Types

typedef CMax< T, int > | HC

## Public Member Functions

| SemiSortedArray (int N)
void | init (const T *x)
void | grow (int next_k)
| grow the sorted part of the array to size next_k
T | get_0 ()
T | get_diff (int n)
int | get_ord (int n)

## Public Attributes

const T * | x
int | N
std::vector< int > | perm
int | k
int | initial_k
int | k_factor

## Detailed Description

### template<typename T>
struct faiss::SemiSortedArray< T >

same as SortedArray, but only the k first elements are sorted

Definition at line 546 of file IndexPQ.cpp.

The documentation for this struct was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/IndexPQ.cpp